/* This file contains all the dialog definitions. */

dcl_settings : default_dcl_settings { audit_level = 3 ; }

first : dialog {
label = "My First Dialog Box" ;

spacer_1 ;

: text {
  key = "msg" ;
  width = 40 ;
  alignment = centered ;
}

spacer_1 ;

: row {
   : button {
     label = "Display Hello" ;
     key = "display" ;
   }
   : button {
     label = "Clear" ;
     key = "clear" ;
   }
   : button {
     label = "Close" ;
     key = "close" ;
     is_default = true ;
   }
}  // end row

} // end dialog definition => first

//___________________________________________________________

second : dialog {
label = "Demonstrate Edit Box" ;

spacer_1 ;
: boxed_column {
  label = "Gear Parameters" ;

  : edit_box {
    label = "Material :" ;
    key = "gear_mat" ;
    width = 10 ;
    edit_width = 10 ;
    edit_limit = 50 ;
   }
   : edit_box {
     label = "Number of teeth :" ;
     key = "gear_teeth" ;
     width = 3 ;
     edit_width = 3 ;
     edit_limit = 3 ;
   } 
   spacer_1 ;

}    // end boxed_column

spacer_1 ;

ok_cancel ;

} // end dialog definition => second

//___________________________________________________________

third : dialog {
label = "Radio Buttons" ;

spacer_1 ;
: boxed_radio_column {
  label = "Gear Type" ;

  : radio_button {
    label = "Spur" ;
    key = "spur" ;
    value = "1" ;
   }
   : radio_button {
     label = "Helical" ;
     key = "helical" ;
   } 
   : radio_button {
     label = "Bevel" ;
     key = "bevel" ;
   } 
   : radio_button {
     label = "Worm" ;
     key = "worm" ;
   } 

}    // end boxed_radio_column

spacer_1 ;

ok_only ;

} // end dialog definition => third

//___________________________________________________________

fourth : dialog {
label = "Toggles" ;

: boxed_column {
 : toggle {
   label = "Draw Pitch Circle" ;
   key = "pitch" ;
   mnemonic = "P" ;
 }
 : toggle {
   label = "Beep on E&rror" ;
   key = "beep" ;
 }

spacer_1 ;

} // end boxed_column

ok_only ;

} // end dialog definition => fourth

//___________________________________________________________

fifth : dialog {
label = "List Boxes" ;

spacer_1 ;

 : list_box {
   label = "Pinion Material" ;
   mnemonic = "i";
   key = "p_mat";
   width =  8;
   fixed_height = true ;
   multiple_select = true;
 }

: boxed_column {
 : popup_list {
   label = "Gear Material" ;
   key = "g_mat";
   edit_width = 10 ;
 }
spacer_1 ;
} // end boxed_column

ok_only ;

} // end dialog definition => fifth

//___________________________________________________________

sixth : dialog {
label = "Displaying Images" ;

spacer_1 ;

     : image {
        width = 30 ;
        height = 20 ;
        key = "img" ;
    }
ok_only ;
} // end dialog definition => sixth

//___________________________________________________________

seventh : dialog {
label = "Using Sliders" ;
spacer_1 ;

  :boxed_row {
   : edit_box {
     label = "Gear Module :" ;
     key = "the_box" ;
     width = 4 ;
     edit_width = 4 ;
     edit_limit = 4 ;
    }

   : slider {
      key = "the_slider";
      min_value = 0;
      max_value = 20;
      width = 20;
      height = 1;
      small_increment = 1;
      big_increment = 4;
      fixed_width = true;
      fixed_height = true;
   }
 } // end of boxed_row
 
ok_only ;

}   // end dialog definition => seventh

//___________________________________________________________
