(defun c:xyz()

(setq dcl_id (load_dialog "xyz.dcl"))
(new_dialog "first" dcl_id)

(action_tile "display" "(display)")
(action_tile "clear" "(clear)")

(action_tile "accept" "(done_dialog)")

(start_dialog)
(unload_dialog dcl_id)

(princ)
)

(defun display()
(set_tile "msg" "Hello !")
)

(defun clear()
(set_tile "msg" " ")
)

;;----------------------;;----------------------

(defun c:abc()

(setq dcl_id (load_dialog "xyz.dcl"))
(new_dialog "second" dcl_id)

(action_tile "gear_mat" "(setq gear_mat $value)")
(action_tile "gear_teeth" "(setq gear_teeth (atoi $value))")

(action_tile "accept" "(done_dialog)")

(start_dialog)
(unload_dialog dcl_id)

;; write here the statements that use the input data.

(princ)
)

;;----------------------;;----------------------

(defun c:gear()

(setq dcl_id (load_dialog "xyz.dcl"))
(new_dialog "third" dcl_id)

(action_tile "spur"     "(setq gear_type 1)")
(action_tile "helical"  "(setq gear_type 2)")
(action_tile "bevel"    "(setq gear_type 3)")
(action_tile "worm"     "(setq gear_type 4)")

(action_tile "accept" "(done_dialog)")

(start_dialog)
(unload_dialog dcl_id)

;; write here the statements that use the input data.

(princ)
)

;;----------------------;;----------------------

(defun c:pitch()

(setq dcl_id (load_dialog "xyz.dcl"))
(new_dialog "fourth" dcl_id)

(action_tile "pitch" "(setq pitch 1)")
(action_tile "beep" "(setq beep 1)")

(action_tile "accept" "(done_dialog)")

(start_dialog)
(unload_dialog dcl_id)

;; write here the statements that use the input data.

(princ)
)

;;----------------------;;----------------------

(defun c:pqr()

(setq g_list (list "Cast Iron"  "Cast Steel" "Material M" 
                   "Material X" "Material Y" "Material Z"
))

(setq p_list (list "Cast Iron"  "Cast Steel" "Phosphor Bronze" 
                   "Material X" "Material Y" "Material Z"
))

(setq dcl_id (load_dialog "xyz.dcl"))
(new_dialog "fifth" dcl_id)

(start_list "g_mat")
(mapcar 'add_list g_list)
(end_list)

(start_list "p_mat")
(mapcar 'add_list p_list)
(end_list)

(action_tile "g_list" "(setq g_index (atoi $value))")
(action_tile "p_list" "(setq p_index (atoi $value))")

(action_tile "accept" "(done_dialog)")

(start_dialog)
(unload_dialog dcl_id)

;; write here the statements that use the input data.

(princ)
)



;;----------------------;;----------------------

(defun c:img()

(setq dcl_id (load_dialog "xyz.dcl"))
(new_dialog "sixth" dcl_id)

(start_image "img")
(setq xx (dimx_tile "img"))
(setq yy (dimy_tile "img"))
(fill_image 0 0 xx yy -15)
(slide_image 0 0 xx yy "slide1")
(end_image)

(action_tile "accept" "(done_dialog)")

(start_dialog)
(unload_dialog dcl_id)

;; write here the statements that use the input data.

(princ)
)

;;----------------------;;----------------------

(defun c:slider()

(setq dcl_id (load_dialog "xyz.dcl"))
(new_dialog "seventh" dcl_id)

(action_tile "the_slider" "(slide_it $value $reason)")
(action_tile "the_box" "(box_it $value $reason)")

(defun slide_it(val why)
  (if (or (= why 2) (= why 1))
  (set_tile "the_box" val)   
  )
)
(defun box_it(val why)
  (if (or (= why 2) (= why 1))
  ( set_tile "the_slider" val)  
  )
)

(start_dialog)
(unload_dialog dcl_id)

;; write here the statements that use the input data.

(princ)
)

